<?php
// $Id: Shell.php.modify.User
// Copyright (c) 2014 Michael Stauber, SOLARSPEED.NET
// Copyright (c) 2014 Team BlueOnyx, BLUEONYX.IT
// Copyright (c) 2001 Sun Microsystems, Inc.
// All Rights Reserved.

include_once('UIExtension.php');

class ShellExtension extends UIExtension {
	function display(&$ServerScriptHelper, &$container, $parameters) {
		$factory = $ServerScriptHelper->getHtmlComponentFactory("base-shell");
		$cce = $ServerScriptHelper->getCceClient();

		// if configuring for virtual sites, don't show if the feature
		// is not enabled 
		if ( isset($parameters["VSITE_OID"]) ) {
			$feature = $cce->get($parameters["VSITE_OID"], "Shell");
			if ( !$feature["enabled"] ) {
				return;
			}
		}	
		$defaults = $cce->get($parameters["CCE_OID"], "Shell");
	
		$shellEnable = $factory->getBoolean("Shell_enabled", $defaults["enabled"]);
		
		// assume PagedBlock because that is most likely going to be it
		$pageIds = $container->getPageIds();
		$container->addFormField(
                $shellEnable, 
                $factory->getLabel("userEnableShell"), $pageIds[0]);
	}

	function handle(&$ServerScriptHelper, &$errors, &$cce_info, &$attributes) {

        $this->attributes = $attributes;

        if (!isset($this->attributes['Shell_enabled'])) {
        	$this->attributes['Shell_enabled'] = "0";
        }

        $cce =& $ServerScriptHelper->getCceClient();

        $cce->set($cce_info["CCE_OID"], 'Shell', array('enabled' => $this->attributes['Shell_enabled']));

		$errors = array_merge($errors, $cce->errors());
	}

}
?>
